#/**
#         ogr DeletePartitionTable int_ndisk
#@brief   Borra la tabla de particiones del disco indicado por identificador OG
#@param   $1 int_ndisk      nº de  orden del disco
#@return
#@exception OG_ERR_FORMAT   formato incorrecto.
#@exception OG_ERR_NOTFOUND disco o particion no detectado (no es un dispositivo).
#@note    Requisitos:
#@version 0.1 -  Integracion para Opengnsys  -  EAC:  DeletePartitionTable () en ATA.lib
#@author  Antonio J. Doblas Viso. Universidad de Malaga
#@date    27/10/2008
#*/ ##


# Variables locales.
local DISK

# Si se solicita, mostrar ayuda.
if [ "$*" == "help" ]; then
    ogr Help "$FUNCNAME int_disk"  \
           "$FUNCNAME 1"
    return
fi
# Error si no se reciben 1 parámetros.
[ $# == 1 ] || ogr RaiseError $OG_ERR_FORMAT || return $?

# Obteniendo Identificador linux de la particion.
DISK=$(ogr DiskToDev $1) || return $?

# Elimando las particiones con fdisk
echo -ne "o\nw" | fdisk $DISK
